 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: LocaleFinder
  * Author:   xx
  * Date:     2020/8/31 22:19
  */
 package com.fr.plugin.ajhdf;

 import com.fr.intelli.record.Focus;
 import com.fr.intelli.record.Original;
 import com.fr.record.analyzer.EnableMetrics;
 import com.fr.stable.fun.Authorize;
 import com.fr.stable.fun.impl.AbstractLocaleFinder;

 import static com.fr.plugin.ajhdf.LocaleFinder.PLUGIN_ID;

 /**
  * <Function Description><br>
  * <LocaleFinder>
  *
  * @author xx
  * @since 1.0.0
  */
 @EnableMetrics
 @Authorize(callSignKey = PLUGIN_ID)
 public class LocaleFinder extends AbstractLocaleFinder {
     public static final String PLUGIN_ID = "com.fr.plugin.ajhdf.pdf";

     @Override
     @Focus(id = PLUGIN_ID, text = "Plugin-ajhdf", source = Original.PLUGIN)
     public String find() {
         return "com/fr/plugin/ajhdf/locale/lang";
     }

     @Override
     public int currentAPILevel() {
         return CURRENT_LEVEL;
     }
 }